use crate::{
    scene::{self, ui},
    session::SessionState,
    APP
};

pub fn load_mainmenu()
{
    let mut app = unsafe {APP.borrow_mut()};
    match &mut *app {
        Some(app) => {
            
            if app.session.state == SessionState::User {
                // Button: Online
                match ui::button(&app.document, "Online", |_e|{
                    let mut app = unsafe {APP.borrow_mut()};
                    match &mut *app {
                        Some(app) => { app.load::<scene::SceneListOnline>(); }
                        None => { }
                    }
                }) {
                    Ok(button) => { app.menu.append_child(&button).ok(); }
                    Err(_) => { }
                }
            }


            // Button: Continue
            match ui::button(&app.document, "Continue", |_e|{
                let mut app = unsafe {APP.borrow_mut()};
                match &mut *app {
                    Some(app) => { app.load::<scene::SceneListOnline>(); }
                    None => { }
                }
            }) {
                Ok(button) => { app.menu.append_child(&button).ok(); }
                Err(_) => { }
            }


            // Button: Join
            match ui::button(&app.document, "Continue", |_e|{
                let mut app = unsafe {APP.borrow_mut()};
                match &mut *app {
                    Some(app) => { app.load::<scene::SceneListOnline>(); }
                    None => { }
                }
            }) {
                Ok(button) => { app.menu.append_child(&button).ok(); }
                Err(_) => { }
            }


        } None => { }
    }
}
